import App
import Vapor

var env = try Environment.detect()
try LoggingSystem.bootstrap(from: &env)
let app = Application(env)
defer { app.shutdown() }

private let semaphore = DispatchSemaphore(value: 0)
Task {
    try await configure(app)
    semaphore.signal()
}
semaphore.wait()
try app.run()
